Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Renderer failed to init!!! cannot create EGL context
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
Bruce1313
n00b
n00b


Joined: 18 Sep 2018
Posts: 6

PostPosted: Thu Sep 20, 2018 7:35 am    Post subject: Renderer failed to init!!! cannot create EGL context Reply with quote

Hi, everyone, currently i am developing OPENGL application on gentoo minimal 4.14.65 kernel and amd64. I an facing issue related to opengl EGL content creation. If any can help this bug. it would be great. i am putting my logs here. This application works perfectly in gentoo 4.9.95 kernel version. But after updating kernel version i got this error in my application and also dkms packages.

Thanks you.

Code:
[2018-09-20 07:23:16.588] [opengl] [info] using card: /dev/dri/card0.
[2018-09-20 07:23:16.592] [opengl] [info] ignoring unused connector 42.
[2018-09-20 07:23:16.626] [opengl] [info] ignoring unused connector 44.
[2018-09-20 07:23:16.752] [opengl] [info] %-------- Configuring EGL context settings -------- %
[2018-09-20 07:23:16.755] [opengl] [info] EGL major/minor: 1.5.
[2018-09-20 07:23:16.758] [opengl] [info] EGL Version: (1.5 (DRI2)).
[2018-09-20 07:23:16.760] [opengl] [info] EGL Vendor: (Mesa Project).
[2018-09-20 07:23:16.764] [hyperflow] [error] [EGL]: Renderer failed to init!!! cannot create EGL context



this is my code
Code:
   auto gl_logger = spd::get("opengl");

   gl_logger->info("{:^30}", "%-------- Configuring EGL context settings -------- %");
   gl_logger->info("EGL major/minor: {0}.{1}.", major, minor);
   gl_logger->info("EGL Version: ({0}).", eglQueryString(this->display, EGL_VERSION));
   gl_logger->info("EGL Vendor: ({0}).", eglQueryString(this->display, EGL_VENDOR));
   gl_logger->debug("EGL extensions: [ {0} ].", eglQueryString(this->display, EGL_EXTENSIONS));
   
   if (!eglBindAPI(EGL_OPENGL_API))
      throw EGLException("cannot bind OpenGL API");

   b = eglChooseConfig(this->display, conf_att, &this->config, 1, &n);
   if (!b || n != 1)
      throw EGLException("cannot find suitable EGL config");

   this->context = eglCreateContext(this->display, this->config, EGL_NO_CONTEXT, ctx_att);
   if (!this->context)
      throw EGLException("cannot create EGL context");


Swapped the bug tags around the first block out for code tags, as the former are for linking to bugs, not presenting what might appear to be buggy behavior. Also dropped the size ( 18 ) tags from inside the second block, as they have no effect inside of code tags. -- desultory
Back to top
View user's profile Send private message
Chewi
Developer
Developer


Joined: 01 Sep 2003
Posts: 875
Location: Edinburgh, Scotland

PostPosted: Thu Sep 20, 2018 9:31 am    Post subject: Reply with quote

I don't know exactly what hardware you have but if there is more than one card under /dev/dri, the order may be random. This is true on my ARM system and I worked around it by making one driver built-in and the other driver a module.

If that doesn't help, I would take a look at the kmscube source as this is a minimal example of how to do this correctly.
Back to top
View user's profile Send private message
Bruce1313
n00b
n00b


Joined: 18 Sep 2018
Posts: 6

PostPosted: Fri Sep 21, 2018 3:09 am    Post subject: Renderer failed to init!!! cannot create EGL context Reply with quote

thanks @Chewi for your replay. i am using only one card to run my application. What are the reasons like to it is running perfectly in gentoo kernel 4.9.95 and having problem with 4.14.65 version. Any suggestion? also how i can not install dkms in this kernel version. Any particular packages or something.
this the pc specification
Linux-4.14.65-gentoo-x86_64-AMD_A6-5200_APU_with_Radeon-TM-_HD_Graphics-with-gentoo-2.4.1
Thank you
Bruce
Back to top
View user's profile Send private message
Chewi
Developer
Developer


Joined: 01 Sep 2003
Posts: 875
Location: Edinburgh, Scotland

PostPosted: Fri Sep 21, 2018 8:32 am    Post subject: Reply with quote

I am not at all familiar with dkms.

Does kmscube even run? It is a test program meant for situations like this.
Back to top
View user's profile Send private message
Bruce1313
n00b
n00b


Joined: 18 Sep 2018
Posts: 6

PostPosted: Mon Sep 24, 2018 6:16 am    Post subject: Not working Reply with quote

Chewi wrote:
I am not at all familiar with dkms.

Does kmscube even run? It is a test program meant for situations like this.


yes i complied kmscube program but it failed and it says libdrm_omap not found. i did not find the lib. like this i found only libdrm which i already installed.

thanks
bruce
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum